# CORBA_String.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "ace/iosfwd.h"`
`#include "tao/CORBA_String.inl"`

Include dependency graph for CORBA_String.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::String_var
| CORBA::String var class. More...
class | CORBA::String_out
| String_out. More...
class | CORBA::WString_var
| CORBA::WString var class. More...
class | CORBA::WString_out
| WString_out. More...
struct | TAO::String_Var_Equal_To

## CORBA String Memory Management

CORBA string memory management functions.
TAO_Export char * | string_alloc (ULong len)
TAO_Export char * | string_dup (const char *)
TAO_Export void | string_free (char *)

## CORBA Wide String Memory Management

CORBA wide string memory management functions.
TAO_Export WChar * | wstring_alloc (ULong len)
TAO_Export WChar * | wstring_dup (const WChar *const)
TAO_Export void | wstring_free (WChar *const)

## Functions

TAO_Export ostream & | operator<< (ostream &, const CORBA::String_var &)
TAO_Export istream & | operator>> (istream &, CORBA::String_var &)
TAO_Export ostream & | operator<< (ostream &, CORBA::String_out &)
TAO_Export istream & | operator>> (istream &, CORBA::String_out &)
TAO_Export ostream & | operator<< (ostream &, const CORBA::WString_var &)
TAO_Export istream & | operator>> (istream &, CORBA::WString_var &)
TAO_Export ostream & | operator<< (ostream &, CORBA::WString_out &)
TAO_Export istream & | operator>> (istream &, CORBA::WString_out &)

## Detailed Description

Id
  CORBA_String.h,v 1.16 2005/11/02 07:13:02 ossama Exp

Header file for the CORBA string types.

Author:
  DOC Group at Wash U, UCI, and Vanderbilt U.

## Function Documentation

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | CORBA::WString_out & |
| ) |

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | const CORBA::WString_var & |
| ) |

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | CORBA::String_out & |
| ) |

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | const CORBA::String_var & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::WString_out & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::WString_var & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::String_out & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::String_var & |
| ) |

char * CORBA::string_alloc | ( | ULong | len | ) |

TAO_BEGIN_VERSIONED_NAMESPACE_DECL char * CORBA::string_dup | ( | const char * |  | ) |

void CORBA::string_free | ( | char * |  | ) |

CORBA::WChar * CORBA::wstring_alloc | ( | ULong | len | ) |

CORBA::WChar * CORBA::wstring_dup | ( | const WChar * | const | ) |

void CORBA::wstring_free | ( | WChar * | const | ) |